# Interface methods for submodule: TransformIOBaseTemplate
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import LightProcessObjectProxy as _LightProcessObjectProxy


# Interface methods for class: TransformIOBaseTemplate
class TransformIOBaseTemplateProxy(_LightProcessObjectProxy):
	def GetNameOfClass(self):
		""""""
		...

	@overload
	def SetFileName(self, _arg) -> None:
		""""""
		...

	@overload
	def SetFileName(self, _arg: str) -> None:
		""""""
		...

	def GetFileName(self):
		""""""
		...

	def Read(self) -> None:
		""""""
		...

	def Write(self) -> None:
		""""""
		...

	def CanReadFile(self, arg0) -> bool:
		""""""
		...

	def CanWriteFile(self, arg0) -> bool:
		""""""
		...

	def GetTransformList(self):
		""""""
		...

	def GetReadTransformList(self):
		""""""
		...

	def GetWriteTransformList(self):
		""""""
		...

	def SetTransformList(self, transformList) -> None:
		""""""
		...

	def SetAppendMode(self, _arg: bool) -> None:
		""""""
		...

	def GetAppendMode(self) -> bool:
		""""""
		...

	def AppendModeOn(self) -> None:
		""""""
		...

	def AppendModeOff(self) -> None:
		""""""
		...

	def SetUseCompression(self, _arg: bool) -> None:
		""""""
		...

	def GetUseCompression(self) -> bool:
		""""""
		...

	def UseCompressionOn(self) -> None:
		""""""
		...

	def UseCompressionOff(self) -> None:
		""""""
		...

	@staticmethod
	def CorrectTransformPrecisionType(arg0: str) -> None:
		""""""
		...

